# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'octobot/slack_agent/version'

Gem::Specification.new do |spec|
  spec.name          = "octobot-slack_agent"
  spec.version       = Octobot::SlackAgent::VERSION
  spec.authors       = ["defektive"]
  spec.email         = ["sirbradleyd@gmail.com"]

  spec.summary       = %q{A simple gem to send messages to a slack channel using webhook URLs}
  spec.homepage      = "https://github.com/defektive/octobot-slack_agent"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rest-client", "~> 1.8"
  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
end
